Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.application
Class StateManager.SerializedView

    java.lang.Object
      javax.faces.application.StateManager.SerializedView

Enclosing class:
  StateManager

public class StateManager.SerializedView
extends java.lang.Object

Constructor Summary
`StateManager.SerializedView(java.lang.Object structure, java.lang.Object state)`

Method Summary
`java.lang.Object` | `getState()`
`java.lang.Object` | `getStructure()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StateManager.SerializedView

    public StateManager.SerializedView(java.lang.Object structure,
                                       java.lang.Object state)

Method Detail

### getStructure

    public java.lang.Object getStructure()

### getState

    public java.lang.Object getState()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD